/*
   font_DOTwriterAPL.c - PostScript Type 3 DOTwriterAPL font

   Author: Paul Hardy, August 2020

   Copyright (C) 2020 Paul Hardy

   LICENSE:

      This Font Software is licensed under the SIL Open Font License,
      Version 1.1.  This license is summarized below.  The full license
      is in the file SIL/OFL.txt in this deckmate package, and is also
      available with a FAQ at:

            http://scripts.sil.org/OFL
      
      
      -----------------------------------------------------------
      SIL OPEN FONT LICENSE Version 1.1 - 26 February 2007
      -----------------------------------------------------------
      
      PREAMBLE
      The goals of the Open Font License (OFL) are to stimulate worldwide
      development of collaborative font projects, to support the font creation
      efforts of academic and linguistic communities, and to provide a free and
      open framework in which fonts may be shared and improved in partnership
      with others.
      
      The OFL allows the licensed fonts to be used, studied, modified and
      redistributed freely as long as they are not sold by themselves. The
      fonts, including any derivative works, can be bundled, embedded, 
      redistributed and/or sold with any software provided that any reserved
      names are not used by derivative works. The fonts and derivatives,
      however, cannot be released under any other type of license. The
      requirement for fonts to remain under this license does not apply
      to any document created using the fonts or their derivatives.
      
      DISCLAIMER
      THE FONT SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
      EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF
      MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT
      OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL THE
      COPYRIGHT HOLDER BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
      INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL
      DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
      FROM, OUT OF THE USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM
      OTHER DEALINGS IN THE FONT SOFTWARE.
*/

#include <stdio.h>


void
font_dotwriterapl (FILE *outfp) {

   fprintf (outfp, "%%%%BeginFont: DOTwriterAPL\n");
   fprintf (outfp, "17 dict begin %% Leave one entry for FID assignment\n");
   fprintf (outfp, "  /FontInfo 10 dict dup begin\n");
   fprintf (outfp, "    /Notice (Copyright 2020 Paul Hardy.  License: SIL Open Font License 1.1.) readonly def\n");
   fprintf (outfp, "    /FullName (DOTwriterAPL) readonly def\n");
   fprintf (outfp, "    /FamilyName (DOTwriterAPL) readonly def\n");
   fprintf (outfp, "    /Weight (Medium) readonly def\n");
   fprintf (outfp, "    /version (1.2) readonly def\n");
   fprintf (outfp, "    /ItalicAngle 0 def\n");
   fprintf (outfp, "    /isFixedPitch true def\n");
   fprintf (outfp, "    /UnderlinePosition 100 def\n");
   fprintf (outfp, "    /UnderlineThickness 48 def\n");
   fprintf (outfp, "  end readonly def\n");
   fprintf (outfp, "\n");
   fprintf (outfp, "  /FontName /DOTwriterAPL def\n");
   fprintf (outfp, "  /FontMatrix [.001 0 0 .001 0 0] def\n");
   fprintf (outfp, "  /FontType 3 def\n");
   fprintf (outfp, "  /LanguageLevel 1 def\n");
   fprintf (outfp, "  /FontBBox [0 -48 600 1000] def\n");
   fprintf (outfp, "  /PaintType 0 def\n");
   fprintf (outfp, "  /StrokeWidth 0 def\n");
   fprintf (outfp, "\n");
   fprintf (outfp, "  /r 48 def  %% Dot radius\n");
   fprintf (outfp, "  /d 96 def  %% Dot diameter\n");
   fprintf (outfp, "  /dot {r 0 360 arc PaintType 2 eq {stroke} {fill} ifelse\n");
   fprintf (outfp, "  } bind def\n");
   fprintf (outfp, "\n");
   fprintf (outfp, "  /Encoding 256 array def\n");
   fprintf (outfp, "  0 1 255 {Encoding exch /.notdef put} for\n");
   fprintf (outfp, "  Encoding\n");
   fprintf (outfp, "  dup 32 /space put\n");
   fprintf (outfp, "  dup 33 /dieresis put\n");
   fprintf (outfp, "  dup 34 /rightparenthesis put\n");
   fprintf (outfp, "  dup 35 /lt put\n");
   fprintf (outfp, "  dup 36 /le put\n");
   fprintf (outfp, "  dup 37 /eq put\n");
   fprintf (outfp, "  dup 38 /gt put\n");
   fprintf (outfp, "  dup 39 /rightbracket put\n");
   fprintf (outfp, "  dup 40 /or put\n");
   fprintf (outfp, "  dup 41 /and put\n");
   fprintf (outfp, "  dup 42 /ne put\n");
   fprintf (outfp, "  dup 43 /divide put\n");
   fprintf (outfp, "  dup 44 /concatenate put\n");
   fprintf (outfp, "  dup 45 /add put\n");
   fprintf (outfp, "  dup 46 /period put\n");
   fprintf (outfp, "  dup 47 /reduce put\n");
   fprintf (outfp, "  dup 48 /zero put\n");
   fprintf (outfp, "  dup 49 /one put\n");
   fprintf (outfp, "  dup 50 /two put\n");
   fprintf (outfp, "  dup 51 /three put\n");
   fprintf (outfp, "  dup 52 /four put\n");
   fprintf (outfp, "  dup 53 /five put\n");
   fprintf (outfp, "  dup 54 /six put\n");
   fprintf (outfp, "  dup 55 /seven put\n");
   fprintf (outfp, "  dup 56 /eight put\n");
   fprintf (outfp, "  dup 57 /nine put\n");
   fprintf (outfp, "  dup 58 /leftparenthesis put\n");
   fprintf (outfp, "  dup 59 /leftbracket put\n");
   fprintf (outfp, "  dup 60 /semicolon put\n");
   fprintf (outfp, "  dup 61 /multiply put\n");
   fprintf (outfp, "  dup 62 /colon put\n");
   fprintf (outfp, "  dup 63 /expand put\n");
   fprintf (outfp, "  dup 64 /negation put\n");
   fprintf (outfp, "  dup 65 /alpha put\n");
   fprintf (outfp, "  dup 66 /decode put\n");
   fprintf (outfp, "  dup 67 /downunder put\n");
   fprintf (outfp, "  dup 68 /floor put\n");
   fprintf (outfp, "  dup 69 /epsilon put\n");
   fprintf (outfp, "  dup 70 /underscore put\n");
   fprintf (outfp, "  dup 71 /del put\n");
   fprintf (outfp, "  dup 72 /delta put\n");
   fprintf (outfp, "  dup 73 /iota put\n");
   fprintf (outfp, "  dup 74 /jot put\n");
   fprintf (outfp, "  dup 75 /quotestring put\n");
   fprintf (outfp, "  dup 76 /quad put\n");
   fprintf (outfp, "  dup 77 /residue put\n");
   fprintf (outfp, "  dup 78 /encode put\n");
   fprintf (outfp, "  dup 79 /circle put\n");
   fprintf (outfp, "  dup 80 /exponentiate put\n");
   fprintf (outfp, "  dup 81 /question put\n");
   fprintf (outfp, "  dup 82 /rho put\n");
   fprintf (outfp, "  dup 83 /ceiling put\n");
   fprintf (outfp, "  dup 84 /not put\n");
   fprintf (outfp, "  dup 85 /drop put\n");
   fprintf (outfp, "  dup 86 /upunion put\n");
   fprintf (outfp, "  dup 87 /omega put\n");
   fprintf (outfp, "  dup 88 /leftunion put\n");
   fprintf (outfp, "  dup 89 /take put\n");
   fprintf (outfp, "  dup 90 /rightunion put\n");
   fprintf (outfp, "  dup 91 /assignment put\n");
   fprintf (outfp, "  dup 92 /lefttack put\n");
   fprintf (outfp, "  dup 93 /goto put\n");
   fprintf (outfp, "  dup 94 /ge put\n");
   fprintf (outfp, "  dup 95 /subtract put\n");
   fprintf (outfp, "  dup 96 /diamond put\n");
   fprintf (outfp, "  dup 97 /a put\n");
   fprintf (outfp, "  dup 98 /b put\n");
   fprintf (outfp, "  dup 99 /c put\n");
   fprintf (outfp, "  dup 100 /d put\n");
   fprintf (outfp, "  dup 101 /e put\n");
   fprintf (outfp, "  dup 102 /f put\n");
   fprintf (outfp, "  dup 103 /g put\n");
   fprintf (outfp, "  dup 104 /h put\n");
   fprintf (outfp, "  dup 105 /i put\n");
   fprintf (outfp, "  dup 106 /j put\n");
   fprintf (outfp, "  dup 107 /k put\n");
   fprintf (outfp, "  dup 108 /l put\n");
   fprintf (outfp, "  dup 109 /m put\n");
   fprintf (outfp, "  dup 110 /n put\n");
   fprintf (outfp, "  dup 111 /o put\n");
   fprintf (outfp, "  dup 112 /p put\n");
   fprintf (outfp, "  dup 113 /q put\n");
   fprintf (outfp, "  dup 114 /r put\n");
   fprintf (outfp, "  dup 115 /s put\n");
   fprintf (outfp, "  dup 116 /t put\n");
   fprintf (outfp, "  dup 117 /u put\n");
   fprintf (outfp, "  dup 118 /v put\n");
   fprintf (outfp, "  dup 119 /w put\n");
   fprintf (outfp, "  dup 120 /x put\n");
   fprintf (outfp, "  dup 121 /y put\n");
   fprintf (outfp, "  dup 122 /z put\n");
   fprintf (outfp, "  dup 123 /leftbrace put\n");
   fprintf (outfp, "  dup 124 /righttack put\n");
   fprintf (outfp, "  dup 125 /rightbrace put\n");
   fprintf (outfp, "  dup 126 /dollar put\n");
   fprintf (outfp, "  dup 162 /cent put\n");
   fprintf (outfp, "  dup 178 /dagger put\n");
   fprintf (outfp, "  dup 179 /daggerdbl put\n");
   fprintf (outfp, "      216 /logicalnot put\n");
   fprintf (outfp, "\n");
   fprintf (outfp, "  /CharWidth 600 def\n");
   fprintf (outfp, "\n");
   fprintf (outfp, "  /CharProcs 100 dict def\n");
   fprintf (outfp, "  CharProcs begin\n");
   fprintf (outfp, "    /.notdef { newpath\n");
   fprintf (outfp, "      164 576 dot 292 576 dot 420 576 dot\n");
   fprintf (outfp, "      164 480 dot 420 480 dot\n");
   fprintf (outfp, "      164 384 dot 420 384 dot\n");
   fprintf (outfp, "      164 288 dot 420 288 dot\n");
   fprintf (outfp, "      164 192 dot 420 192 dot\n");
   fprintf (outfp, "      164  96 dot 420  96 dot\n");
   fprintf (outfp, "      164   0 dot 292   0 dot 420   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /space { } def\n");
   fprintf (outfp, "    /dieresis { newpath\n");
   fprintf (outfp, "      164 576 dot 420 576 dot\n");
   fprintf (outfp, "      100 480 dot 228 480 dot 356 480 dot 484 480 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /rightparenthesis { newpath\n");
   fprintf (outfp, "      228 576 dot\n");
   fprintf (outfp, "      292 480 dot\n");
   fprintf (outfp, "      356 384 dot\n");
   fprintf (outfp, "      356 288 dot\n");
   fprintf (outfp, "      356 192 dot\n");
   fprintf (outfp, "      292  96 dot\n");
   fprintf (outfp, "      228   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /lt { newpath\n");
   fprintf (outfp, "      356 480 dot\n");
   fprintf (outfp, "      292 384 dot\n");
   fprintf (outfp, "      228 288 dot\n");
   fprintf (outfp, "      292 192 dot\n");
   fprintf (outfp, "      356  96 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /le { newpath\n");
   fprintf (outfp, "      356 576 dot\n");
   fprintf (outfp, "      292 480 dot\n");
   fprintf (outfp, "      228 384 dot\n");
   fprintf (outfp, "      292 288 dot\n");
   fprintf (outfp, "      356 192 dot\n");
   fprintf (outfp, "      100   0 dot 228   0 dot 356   0 dot 484   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /eq { newpath\n");
   fprintf (outfp, "      100 384 dot 228 384 dot 356 384 dot 484 384 dot\n");
   fprintf (outfp, "      100 192 dot 228 192 dot 356 192 dot 484 192 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /gt { newpath\n");
   fprintf (outfp, "      228 480 dot\n");
   fprintf (outfp, "      292 384 dot\n");
   fprintf (outfp, "      356 288 dot\n");
   fprintf (outfp, "      292 192 dot\n");
   fprintf (outfp, "      228  96 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /rightbracket { newpath\n");
   fprintf (outfp, "      164 576 dot 292 576 dot 420 576 dot\n");
   fprintf (outfp, "      420 480 dot\n");
   fprintf (outfp, "      420 384 dot\n");
   fprintf (outfp, "      420 288 dot\n");
   fprintf (outfp, "      420 192 dot\n");
   fprintf (outfp, "      420  96 dot\n");
   fprintf (outfp, "      164   0 dot 292   0 dot 420   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /or { newpath\n");
   fprintf (outfp, "      100 384 dot 484 384 dot\n");
   fprintf (outfp, "      164 288 dot 420 288 dot\n");
   fprintf (outfp, "      228 192 dot 356 192 dot\n");
   fprintf (outfp, "      292  96 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /and { newpath\n");
   fprintf (outfp, "      292 480 dot\n");
   fprintf (outfp, "      228 384 dot 356 384 dot\n");
   fprintf (outfp, "      164 288 dot 420 288 dot\n");
   fprintf (outfp, "      100 192 dot 484 192 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /ne { newpath\n");
   fprintf (outfp, "      484 576 dot\n");
   fprintf (outfp, "      420 480 dot\n");
   fprintf (outfp, "      100 384 dot 228 384 dot 356 384 dot 484 384 dot\n");
   fprintf (outfp, "      292 288 dot\n");
   fprintf (outfp, "      100 192 dot 228 192 dot 356 192 dot 484 192 dot\n");
   fprintf (outfp, "      164  96 dot\n");
   fprintf (outfp, "      100   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /divide { newpath\n");
   fprintf (outfp, "      292 480 dot\n");
   fprintf (outfp, "      100 288 dot 228 288 dot 356 288 dot 484 288 dot\n");
   fprintf (outfp, "      292  96 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /concatenate { newpath\n");
   fprintf (outfp, "      228 288 dot 356 288 dot\n");
   fprintf (outfp, "      228 192 dot 356 192 dot\n");
   fprintf (outfp, "      292  96 dot\n");
   fprintf (outfp, "      228   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /add { newpath\n");
   fprintf (outfp, "      292 480 dot\n");
   fprintf (outfp, "      292 384 dot\n");
   fprintf (outfp, "      100 288 dot 228 288 dot 356 288 dot 484 288 dot\n");
   fprintf (outfp, "      292 192 dot\n");
   fprintf (outfp, "      292  96 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /period { newpath\n");
   fprintf (outfp, "      292 192 dot\n");
   fprintf (outfp, "      228  96 dot 356  96 dot\n");
   fprintf (outfp, "      292   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /reduce { newpath\n");
   fprintf (outfp, "      484 576 dot\n");
   fprintf (outfp, "      420 480 dot\n");
   fprintf (outfp, "      356 384 dot\n");
   fprintf (outfp, "      292 288 dot\n");
   fprintf (outfp, "      228 192 dot\n");
   fprintf (outfp, "      164  96 dot\n");
   fprintf (outfp, "      100   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /zero { newpath\n");
   fprintf (outfp, "      228 576 dot 356 576 dot\n");
   fprintf (outfp, "      164 480 dot 420 480 dot\n");
   fprintf (outfp, "      100 384 dot 484 384 dot\n");
   fprintf (outfp, "      100 288 dot 484 288 dot\n");
   fprintf (outfp, "      100 192 dot 484 192 dot\n");
   fprintf (outfp, "      164  96 dot 420  96 dot\n");
   fprintf (outfp, "      228   0 dot 356   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /one { newpath\n");
   fprintf (outfp, "      292 576 dot\n");
   fprintf (outfp, "      164 480 dot 292 480 dot\n");
   fprintf (outfp, "      292 384 dot\n");
   fprintf (outfp, "      292 288 dot\n");
   fprintf (outfp, "      292 192 dot\n");
   fprintf (outfp, "      292  96 dot\n");
   fprintf (outfp, "      164   0 dot 292   0 dot 420   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /two { newpath\n");
   fprintf (outfp, "      164 576 dot 292 576 dot 420 576 dot\n");
   fprintf (outfp, "      100 480 dot 484 480 dot\n");
   fprintf (outfp, "      484 384 dot\n");
   fprintf (outfp, "      420 288 dot\n");
   fprintf (outfp, "      292 192 dot\n");
   fprintf (outfp, "      164  96 dot\n");
   fprintf (outfp, "      100   0 dot 228   0 dot 356   0 dot 484   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /three { newpath\n");
   fprintf (outfp, "      100 576 dot 228 576 dot 356 576 dot 484 576 dot\n");
   fprintf (outfp, "      420 480 dot\n");
   fprintf (outfp, "      356 384 dot\n");
   fprintf (outfp, "      292 288 dot 420 288 dot\n");
   fprintf (outfp, "      484 192 dot\n");
   fprintf (outfp, "      100  96 dot 484  96 dot\n");
   fprintf (outfp, "      164   0 dot 292   0 dot 420   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /four { newpath\n");
   fprintf (outfp, "      356 576 dot\n");
   fprintf (outfp, "      292 480 dot 420 480 dot\n");
   fprintf (outfp, "      228 384 dot 420 384 dot\n");
   fprintf (outfp, "      164 288 dot 420 288 dot\n");
   fprintf (outfp, "      100 192 dot 228 192 dot 356 192 dot 484 192 dot\n");
   fprintf (outfp, "      420  96 dot\n");
   fprintf (outfp, "      420   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /five { newpath\n");
   fprintf (outfp, "      100 576 dot 228 576 dot 356 576 dot 484 576 dot\n");
   fprintf (outfp, "      100 480 dot\n");
   fprintf (outfp, "      100 384 dot 228 384 dot 356 384 dot\n");
   fprintf (outfp, "      484 288 dot\n");
   fprintf (outfp, "      484 192 dot\n");
   fprintf (outfp, "      100  96 dot 484  96 dot\n");
   fprintf (outfp, "      164   0 dot 292   0 dot 420   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /six { newpath\n");
   fprintf (outfp, "      356 576 dot\n");
   fprintf (outfp, "      292 480 dot\n");
   fprintf (outfp, "      228 384 dot\n");
   fprintf (outfp, "      164 288 dot 292 288 dot 420 288 dot\n");
   fprintf (outfp, "      100 192 dot 484 192 dot\n");
   fprintf (outfp, "      100  96 dot 484  96 dot\n");
   fprintf (outfp, "      164   0 dot 292   0 dot 420   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /seven { newpath\n");
   fprintf (outfp, "      100 576 dot 228 576 dot 356 576 dot 484 576 dot\n");
   fprintf (outfp, "      484 480 dot\n");
   fprintf (outfp, "      420 384 dot\n");
   fprintf (outfp, "      356 288 dot\n");
   fprintf (outfp, "      292 192 dot\n");
   fprintf (outfp, "      228  96 dot\n");
   fprintf (outfp, "      164   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /eight { newpath\n");
   fprintf (outfp, "      164 576 dot 292 576 dot 420 576 dot\n");
   fprintf (outfp, "      100 480 dot 484 480 dot\n");
   fprintf (outfp, "      100 384 dot 484 384 dot\n");
   fprintf (outfp, "      164 288 dot 292 288 dot 420 288 dot\n");
   fprintf (outfp, "      100 192 dot 484 192 dot\n");
   fprintf (outfp, "      100  96 dot 484  96 dot\n");
   fprintf (outfp, "      164   0 dot 292   0 dot 420   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /nine { newpath\n");
   fprintf (outfp, "      164 576 dot 292 576 dot 420 576 dot\n");
   fprintf (outfp, "      100 480 dot 484 480 dot\n");
   fprintf (outfp, "      100 384 dot 484 384 dot\n");
   fprintf (outfp, "      164 288 dot 292 288 dot 420 288 dot\n");
   fprintf (outfp, "      356 192 dot\n");
   fprintf (outfp, "      292  96 dot\n");
   fprintf (outfp, "      228   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /leftparenthesis { newpath\n");
   fprintf (outfp, "      356 576 dot\n");
   fprintf (outfp, "      292 480 dot\n");
   fprintf (outfp, "      228 384 dot\n");
   fprintf (outfp, "      228 288 dot\n");
   fprintf (outfp, "      228 192 dot\n");
   fprintf (outfp, "      292  96 dot\n");
   fprintf (outfp, "      356   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /leftbracket { newpath\n");
   fprintf (outfp, "      164 576 dot 292 576 dot 420 576 dot\n");
   fprintf (outfp, "      164 480 dot\n");
   fprintf (outfp, "      164 384 dot\n");
   fprintf (outfp, "      164 288 dot\n");
   fprintf (outfp, "      164 192 dot\n");
   fprintf (outfp, "      164  96 dot\n");
   fprintf (outfp, "      164   0 dot 292   0 dot 420   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /semicolon { newpath\n");
   fprintf (outfp, "      292 576 dot\n");
   fprintf (outfp, "      228 480 dot 356 480 dot\n");
   fprintf (outfp, "      228 288 dot 356 288 dot\n");
   fprintf (outfp, "      228 192 dot 356 192 dot\n");
   fprintf (outfp, "      292  96 dot\n");
   fprintf (outfp, "      228   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /multiply { newpath\n");
   fprintf (outfp, "      164 480 dot 420 480 dot\n");
   fprintf (outfp, "      228 384 dot 356 384 dot\n");
   fprintf (outfp, "      292 288 dot\n");
   fprintf (outfp, "      228 192 dot 356 192 dot\n");
   fprintf (outfp, "      164  96 dot 420  96 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /colon { newpath\n");
   fprintf (outfp, "      292 576 dot\n");
   fprintf (outfp, "      228 480 dot 356 480 dot\n");
   fprintf (outfp, "      292 384 dot\n");
   fprintf (outfp, "      292 192 dot\n");
   fprintf (outfp, "      228  96 dot 356  96 dot\n");
   fprintf (outfp, "      292   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /expand { newpath\n");
   fprintf (outfp, "      100 576 dot\n");
   fprintf (outfp, "      164 480 dot\n");
   fprintf (outfp, "      228 384 dot\n");
   fprintf (outfp, "      292 288 dot\n");
   fprintf (outfp, "      356 192 dot\n");
   fprintf (outfp, "      420  96 dot\n");
   fprintf (outfp, "      484   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /negation { newpath\n");
   fprintf (outfp, "      100 576 dot 228 576 dot 356 576 dot 484 576 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /alpha { newpath\n");
   fprintf (outfp, "      164 384 dot 292 384 dot 420 384 dot\n");
   fprintf (outfp, "      100 288 dot 356 288 dot\n");
   fprintf (outfp, "      100 192 dot 356 192 dot\n");
   fprintf (outfp, "      100  96 dot 356  96 dot\n");
   fprintf (outfp, "      164   0 dot 292   0 dot 420   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /decode { newpath\n");
   fprintf (outfp, "      292 288 dot\n");
   fprintf (outfp, "      292 192 dot\n");
   fprintf (outfp, "      292  96 dot\n");
   fprintf (outfp, "      100   0 dot 228   0 dot 356   0 dot 484   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /downunder { newpath\n");
   fprintf (outfp, "      228 384 dot 356 384 dot\n");
   fprintf (outfp, "      164 288 dot 420 288 dot\n");
   fprintf (outfp, "      164 192 dot 420 192 dot\n");
   fprintf (outfp, "      164  96 dot 420  96 dot\n");
   fprintf (outfp, "      164   0 dot 420   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /floor { newpath\n");
   fprintf (outfp, "      164 576 dot\n");
   fprintf (outfp, "      164 480 dot\n");
   fprintf (outfp, "      164 384 dot\n");
   fprintf (outfp, "      164 288 dot\n");
   fprintf (outfp, "      164 192 dot\n");
   fprintf (outfp, "      164  96 dot\n");
   fprintf (outfp, "      164   0 dot 292   0 dot 420   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /epsilon { newpath\n");
   fprintf (outfp, "      228 384 dot 356 384 dot\n");
   fprintf (outfp, "      164 288 dot\n");
   fprintf (outfp, "      228 192 dot 356 192 dot\n");
   fprintf (outfp, "      164  96 dot\n");
   fprintf (outfp, "      228   0 dot 356   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /underscore { newpath\n");
   fprintf (outfp, "      100   0 dot 228   0 dot 356   0 dot 484   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /del { newpath\n");
   fprintf (outfp, "      100 480 dot 228 480 dot 356 480 dot 484 480 dot\n");
   fprintf (outfp, "      100 384 dot 484 384 dot\n");
   fprintf (outfp, "      164 288 dot 420 288 dot\n");
   fprintf (outfp, "      228 192 dot 356 192 dot\n");
   fprintf (outfp, "      292  96 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /delta { newpath\n");
   fprintf (outfp, "      292 480 dot\n");
   fprintf (outfp, "      228 384 dot 356 384 dot\n");
   fprintf (outfp, "      164 288 dot 420 288 dot\n");
   fprintf (outfp, "      100 192 dot 484 192 dot\n");
   fprintf (outfp, "      100  96 dot 228  96 dot 356  96 dot 484  96 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /iota { newpath\n");
   fprintf (outfp, "      228 480 dot\n");
   fprintf (outfp, "      292 384 dot\n");
   fprintf (outfp, "      292 288 dot\n");
   fprintf (outfp, "      292 192 dot\n");
   fprintf (outfp, "      292  96 dot\n");
   fprintf (outfp, "      356   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /jot { newpath\n");
   fprintf (outfp, "      228 384 dot 356 384 dot\n");
   fprintf (outfp, "      164 288 dot 420 288 dot\n");
   fprintf (outfp, "      228 192 dot 356 192 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /quotestring { newpath\n");
   fprintf (outfp, "      292 576 dot\n");
   fprintf (outfp, "      292 480 dot\n");
   fprintf (outfp, "      292 384 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /quad { newpath\n");
   fprintf (outfp, "      100 576 dot 228 576 dot 356 576 dot 484 576 dot\n");
   fprintf (outfp, "      100 480 dot 484 480 dot\n");
   fprintf (outfp, "      100 384 dot 484 384 dot\n");
   fprintf (outfp, "      100 288 dot 484 288 dot\n");
   fprintf (outfp, "      100 192 dot 484 192 dot\n");
   fprintf (outfp, "      100  96 dot 484  96 dot\n");
   fprintf (outfp, "      100   0 dot 228   0 dot 356   0 dot 484   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /residue { newpath\n");
   fprintf (outfp, "      292 576 dot\n");
   fprintf (outfp, "      292 480 dot\n");
   fprintf (outfp, "      292 384 dot\n");
   fprintf (outfp, "      292 288 dot\n");
   fprintf (outfp, "      292 192 dot\n");
   fprintf (outfp, "      292  96 dot\n");
   fprintf (outfp, "      292   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /encode { newpath\n");
   fprintf (outfp, "      100 288 dot 228 288 dot 356 288 dot 484 288 dot\n");
   fprintf (outfp, "      292 192 dot\n");
   fprintf (outfp, "      292  96 dot\n");
   fprintf (outfp, "      292   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /circle { newpath\n");
   fprintf (outfp, "      164 480 dot 292 480 dot 420 480 dot\n");
   fprintf (outfp, "      100 384 dot 484 384 dot\n");
   fprintf (outfp, "      100 288 dot 292 288 dot 484 288 dot\n");
   fprintf (outfp, "      100 192 dot 484 192 dot\n");
   fprintf (outfp, "      164  96 dot 292  96 dot 420  96 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /exponentiate { newpath\n");
   fprintf (outfp, "      292 480 dot\n");
   fprintf (outfp, "      164 384 dot 292 384 dot 420 384 dot\n");
   fprintf (outfp, "      228 288 dot 356 288 dot\n");
   fprintf (outfp, "      228 192 dot 356 192 dot\n");
   fprintf (outfp, "      164  96 dot 420  96 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /question { newpath\n");
   fprintf (outfp, "      164 576 dot 292 576 dot 420 576 dot\n");
   fprintf (outfp, "      100 480 dot 484 480 dot\n");
   fprintf (outfp, "      292 384 dot 420 384 dot\n");
   fprintf (outfp, "      292 288 dot\n");
   fprintf (outfp, "      292 192 dot\n");
   fprintf (outfp, "      292   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /rho { newpath\n");
   fprintf (outfp, "      228 480 dot 356 480 dot\n");
   fprintf (outfp, "      164 384 dot 420 384 dot\n");
   fprintf (outfp, "      164 288 dot 292 288 dot\n");
   fprintf (outfp, "      164 192 dot\n");
   fprintf (outfp, "      164  96 dot\n");
   fprintf (outfp, "      100   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /ceiling { newpath\n");
   fprintf (outfp, "      164 576 dot 292 576 dot 420 576 dot\n");
   fprintf (outfp, "      164 480 dot\n");
   fprintf (outfp, "      164 384 dot\n");
   fprintf (outfp, "      164 288 dot\n");
   fprintf (outfp, "      164 192 dot\n");
   fprintf (outfp, "      164  96 dot\n");
   fprintf (outfp, "      164   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /not { newpath\n");
   fprintf (outfp, "      228 384 dot 484 384 dot\n");
   fprintf (outfp, "      164 288 dot 292 288 dot 420 288 dot\n");
   fprintf (outfp, "      100 192 dot 356 192 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /drop { newpath\n");
   fprintf (outfp, "      292 576 dot\n");
   fprintf (outfp, "      292 480 dot\n");
   fprintf (outfp, "      292 384 dot\n");
   fprintf (outfp, "      100 288 dot 292 288 dot 484 288 dot\n");
   fprintf (outfp, "      164 192 dot 292 192 dot 420 192 dot\n");
   fprintf (outfp, "      228  96 dot 356  96 dot\n");
   fprintf (outfp, "      292   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /upunion { newpath\n");
   fprintf (outfp, "      164 384 dot 420 384 dot\n");
   fprintf (outfp, "      164 288 dot 420 288 dot\n");
   fprintf (outfp, "      164 192 dot 420 192 dot\n");
   fprintf (outfp, "      164  96 dot 420  96 dot\n");
   fprintf (outfp, "      228   0 dot 356   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /omega { newpath\n");
   fprintf (outfp, "      164 384 dot 420 384 dot\n");
   fprintf (outfp, "      100 288 dot 484 288 dot\n");
   fprintf (outfp, "      100 192 dot 292 192 dot 484 192 dot\n");
   fprintf (outfp, "      100  96 dot 228  96 dot 356  96 dot 484  96 dot\n");
   fprintf (outfp, "      164   0 dot 420   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /leftunion { newpath\n");
   fprintf (outfp, "      164 384 dot 292 384 dot 420 384 dot\n");
   fprintf (outfp, "      484 288 dot\n");
   fprintf (outfp, "      484 192 dot\n");
   fprintf (outfp, "      164  96 dot 292  96 dot 420  96 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /take { newpath\n");
   fprintf (outfp, "      292 576 dot\n");
   fprintf (outfp, "      228 480 dot 356 480 dot\n");
   fprintf (outfp, "      164 384 dot 292 384 dot 420 384 dot\n");
   fprintf (outfp, "      100 288 dot 292 288 dot 484 288 dot\n");
   fprintf (outfp, "      292 192 dot\n");
   fprintf (outfp, "      292  96 dot\n");
   fprintf (outfp, "      292   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /rightunion { newpath\n");
   fprintf (outfp, "      164 384 dot 292 384 dot 420 384 dot\n");
   fprintf (outfp, "      100 288 dot\n");
   fprintf (outfp, "      100 192 dot\n");
   fprintf (outfp, "      164  96 dot 292  96 dot 420  96 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /assignment { newpath\n");
   fprintf (outfp, "      228 480 dot\n");
   fprintf (outfp, "      164 384 dot\n");
   fprintf (outfp, "      100 288 dot 228 288 dot 356 288 dot 484 288 dot\n");
   fprintf (outfp, "      164 192 dot\n");
   fprintf (outfp, "      228  96 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /lefttack { newpath\n");
   fprintf (outfp, "      100 480 dot\n");
   fprintf (outfp, "      100 384 dot\n");
   fprintf (outfp, "      100 288 dot 228 288 dot 356 288 dot 484 288 dot\n");
   fprintf (outfp, "      100 192 dot\n");
   fprintf (outfp, "      100  96 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /goto { newpath\n");
   fprintf (outfp, "      356 480 dot\n");
   fprintf (outfp, "      420 384 dot\n");
   fprintf (outfp, "      100 288 dot 228 288 dot 356 288 dot 484 288 dot\n");
   fprintf (outfp, "      420 192 dot\n");
   fprintf (outfp, "      356  96 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /ge { newpath\n");
   fprintf (outfp, "      228 576 dot\n");
   fprintf (outfp, "      292 480 dot\n");
   fprintf (outfp, "      356 384 dot\n");
   fprintf (outfp, "      292 288 dot\n");
   fprintf (outfp, "      228 192 dot\n");
   fprintf (outfp, "      100   0 dot 228   0 dot 356   0 dot 484   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /subtract { newpath\n");
   fprintf (outfp, "      100 288 dot 228 288 dot 356 288 dot 484 288 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /diamond { newpath\n");
   fprintf (outfp, "      292 576 dot\n");
   fprintf (outfp, "      228 480 dot 356 480 dot\n");
   fprintf (outfp, "      164 384 dot 420 384 dot\n");
   fprintf (outfp, "      100 288 dot 484 288 dot\n");
   fprintf (outfp, "      164 192 dot 420 192 dot\n");
   fprintf (outfp, "      228  96 dot 356  96 dot\n");
   fprintf (outfp, "      292   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /a { newpath\n");
   fprintf (outfp, "      228 576 dot 356 576 dot\n");
   fprintf (outfp, "      164 480 dot 420 480 dot\n");
   fprintf (outfp, "      100 384 dot 484 384 dot\n");
   fprintf (outfp, "      100 288 dot 228 288 dot 356 288 dot 484 288 dot\n");
   fprintf (outfp, "      100 192 dot 484 192 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /b { newpath\n");
   fprintf (outfp, "      100 576 dot 228 576 dot 356 576 dot\n");
   fprintf (outfp, "      164 480 dot 484 480 dot\n");
   fprintf (outfp, "      164 384 dot 292 384 dot 420 384 dot\n");
   fprintf (outfp, "      164 288 dot 484 288 dot\n");
   fprintf (outfp, "      100 192 dot 228 192 dot 356 192 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /c { newpath\n");
   fprintf (outfp, "      164 576 dot 292 576 dot 420 576 dot\n");
   fprintf (outfp, "      100 480 dot 484 480 dot\n");
   fprintf (outfp, "      100 384 dot\n");
   fprintf (outfp, "      100 288 dot\n");
   fprintf (outfp, "      164 192 dot 292 192 dot 420 192 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /d { newpath\n");
   fprintf (outfp, "      100 576 dot 228 576 dot 356 576 dot\n");
   fprintf (outfp, "      164 480 dot 484 480 dot\n");
   fprintf (outfp, "      164 384 dot 484 384 dot\n");
   fprintf (outfp, "      164 288 dot 484 288 dot\n");
   fprintf (outfp, "      100 192 dot 228 192 dot 356 192 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /e { newpath\n");
   fprintf (outfp, "      100 576 dot 228 576 dot 356 576 dot 484 576 dot\n");
   fprintf (outfp, "      100 480 dot\n");
   fprintf (outfp, "      100 384 dot 228 384 dot 356 384 dot\n");
   fprintf (outfp, "      100 288 dot\n");
   fprintf (outfp, "      100 192 dot 228 192 dot 356 192 dot 484 192 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /f { newpath\n");
   fprintf (outfp, "      100 576 dot 228 576 dot 356 576 dot 484 576 dot\n");
   fprintf (outfp, "      100 480 dot\n");
   fprintf (outfp, "      100 384 dot 228 384 dot 356 384 dot\n");
   fprintf (outfp, "      100 288 dot\n");
   fprintf (outfp, "      100 192 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /g { newpath\n");
   fprintf (outfp, "      164 576 dot 292 576 dot 420 576 dot\n");
   fprintf (outfp, "      100 480 dot\n");
   fprintf (outfp, "      100 384 dot 356 384 dot 484 384 dot\n");
   fprintf (outfp, "      100 288 dot 484 288 dot\n");
   fprintf (outfp, "      164 192 dot 292 192 dot 420 192 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /h { newpath\n");
   fprintf (outfp, "      100 576 dot 484 576 dot\n");
   fprintf (outfp, "      100 480 dot 484 480 dot\n");
   fprintf (outfp, "      100 384 dot 228 384 dot 356 384 dot 484 384 dot\n");
   fprintf (outfp, "      100 288 dot 484 288 dot\n");
   fprintf (outfp, "      100 192 dot 484 192 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /i { newpath\n");
   fprintf (outfp, "      164 576 dot 292 576 dot 420 576 dot\n");
   fprintf (outfp, "      292 480 dot\n");
   fprintf (outfp, "      292 384 dot\n");
   fprintf (outfp, "      292 288 dot\n");
   fprintf (outfp, "      164 192 dot 292 192 dot 420 192 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /j { newpath\n");
   fprintf (outfp, "      484 576 dot\n");
   fprintf (outfp, "      484 480 dot\n");
   fprintf (outfp, "      484 384 dot\n");
   fprintf (outfp, "      100 288 dot 484 288 dot\n");
   fprintf (outfp, "      164 192 dot 292 192 dot 420 192 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /k { newpath\n");
   fprintf (outfp, "      100 576 dot 356 576 dot\n");
   fprintf (outfp, "      100 480 dot 292 480 dot\n");
   fprintf (outfp, "      100 384 dot 228 384 dot\n");
   fprintf (outfp, "      100 288 dot 292 288 dot\n");
   fprintf (outfp, "      100 192 dot 356 192 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /l { newpath\n");
   fprintf (outfp, "      100 576 dot\n");
   fprintf (outfp, "      100 480 dot\n");
   fprintf (outfp, "      100 384 dot\n");
   fprintf (outfp, "      100 288 dot\n");
   fprintf (outfp, "      100 192 dot 228 192 dot 356 192 dot 484 192 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /m { newpath\n");
   fprintf (outfp, "      100 576 dot 484 576 dot\n");
   fprintf (outfp, "      164 480 dot 420 480 dot\n");
   fprintf (outfp, "      100 384 dot 228 384 dot 356 384 dot 484 384 dot\n");
   fprintf (outfp, "      100 288 dot 292 288 dot 484 288 dot\n");
   fprintf (outfp, "      100 192 dot 484 192 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /n { newpath\n");
   fprintf (outfp, "      100 576 dot 484 576 dot\n");
   fprintf (outfp, "      164 480 dot 484 480 dot\n");
   fprintf (outfp, "      100 384 dot 292 384 dot 484 384 dot\n");
   fprintf (outfp, "      100 288 dot 420 288 dot\n");
   fprintf (outfp, "      100 192 dot 484 192 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /o { newpath\n");
   fprintf (outfp, "      164 576 dot 292 576 dot 420 576 dot\n");
   fprintf (outfp, "      100 480 dot 484 480 dot\n");
   fprintf (outfp, "      100 384 dot 484 384 dot\n");
   fprintf (outfp, "      100 288 dot 484 288 dot\n");
   fprintf (outfp, "      164 192 dot 292 192 dot 420 192 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /p { newpath\n");
   fprintf (outfp, "      100 576 dot 228 576 dot 356 576 dot\n");
   fprintf (outfp, "      100 480 dot 484 480 dot\n");
   fprintf (outfp, "      100 384 dot 228 384 dot 356 384 dot\n");
   fprintf (outfp, "      100 288 dot\n");
   fprintf (outfp, "      100 192 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /q { newpath\n");
   fprintf (outfp, "      164 576 dot 292 576 dot 420 576 dot\n");
   fprintf (outfp, "      100 480 dot 484 480 dot\n");
   fprintf (outfp, "      100 384 dot 356 384 dot 484 384 dot\n");
   fprintf (outfp, "      100 288 dot 420 288 dot\n");
   fprintf (outfp, "      164 192 dot 292 192 dot 484 192 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /r { newpath\n");
   fprintf (outfp, "      100 576 dot 228 576 dot 356 576 dot\n");
   fprintf (outfp, "      100 480 dot 484 480 dot\n");
   fprintf (outfp, "      100 384 dot 228 384 dot 356 384 dot\n");
   fprintf (outfp, "      100 288 dot 356 288 dot\n");
   fprintf (outfp, "      100 192 dot 484 192 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /s { newpath\n");
   fprintf (outfp, "      164 576 dot 292 576 dot 420 576 dot\n");
   fprintf (outfp, "      100 480 dot\n");
   fprintf (outfp, "      164 384 dot 292 384 dot 420 384 dot\n");
   fprintf (outfp, "      484 288 dot\n");
   fprintf (outfp, "      164 192 dot 292 192 dot 420 192 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /t { newpath\n");
   fprintf (outfp, "      100 576 dot 228 576 dot 356 576 dot 484 576 dot\n");
   fprintf (outfp, "      292 480 dot\n");
   fprintf (outfp, "      292 384 dot\n");
   fprintf (outfp, "      292 288 dot\n");
   fprintf (outfp, "      292 192 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /u { newpath\n");
   fprintf (outfp, "      100 576 dot 484 576 dot\n");
   fprintf (outfp, "      100 480 dot 484 480 dot\n");
   fprintf (outfp, "      100 384 dot 484 384 dot\n");
   fprintf (outfp, "      100 288 dot 484 288 dot\n");
   fprintf (outfp, "      164 192 dot 292 192 dot 420 192 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /v { newpath\n");
   fprintf (outfp, "      100 576 dot 484 576 dot\n");
   fprintf (outfp, "      100 480 dot 484 480 dot\n");
   fprintf (outfp, "      164 384 dot 420 384 dot\n");
   fprintf (outfp, "      228 288 dot 356 288 dot\n");
   fprintf (outfp, "      292 192 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /w { newpath\n");
   fprintf (outfp, "      100 576 dot 484 576 dot\n");
   fprintf (outfp, "      100 480 dot 292 480 dot 484 480 dot\n");
   fprintf (outfp, "      100 384 dot 292 384 dot 484 384 dot\n");
   fprintf (outfp, "      100 288 dot 228 288 dot 356 288 dot 484 288 dot\n");
   fprintf (outfp, "      164 192 dot 420 192 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /x { newpath\n");
   fprintf (outfp, "      100 576 dot 484 576 dot\n");
   fprintf (outfp, "      164 480 dot 420 480 dot\n");
   fprintf (outfp, "      292 384 dot\n");
   fprintf (outfp, "      164 288 dot 420 288 dot\n");
   fprintf (outfp, "      100 192 dot 484 192 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /y { newpath\n");
   fprintf (outfp, "      100 576 dot 484 576 dot\n");
   fprintf (outfp, "      228 480 dot 356 480 dot\n");
   fprintf (outfp, "      292 384 dot\n");
   fprintf (outfp, "      292 288 dot\n");
   fprintf (outfp, "      292 192 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /z { newpath\n");
   fprintf (outfp, "      100 576 dot 228 576 dot 356 576 dot 484 576 dot\n");
   fprintf (outfp, "      420 480 dot\n");
   fprintf (outfp, "      292 384 dot\n");
   fprintf (outfp, "      164 288 dot\n");
   fprintf (outfp, "      100 192 dot 228 192 dot 356 192 dot 484 192 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /leftbrace { newpath\n");
   fprintf (outfp, "      356 576 dot 484 576 dot\n");
   fprintf (outfp, "      292 480 dot\n");
   fprintf (outfp, "      292 384 dot\n");
   fprintf (outfp, "      100 288 dot 228 288 dot\n");
   fprintf (outfp, "      292 192 dot\n");
   fprintf (outfp, "      292  96 dot\n");
   fprintf (outfp, "      356   0 dot 484   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /righttack { newpath\n");
   fprintf (outfp, "      484 480 dot\n");
   fprintf (outfp, "      484 384 dot\n");
   fprintf (outfp, "      100 288 dot 228 288 dot 356 288 dot 484 288 dot\n");
   fprintf (outfp, "      484 192 dot\n");
   fprintf (outfp, "      484  96 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /rightbrace { newpath\n");
   fprintf (outfp, "      100 576 dot 228 576 dot\n");
   fprintf (outfp, "      292 480 dot\n");
   fprintf (outfp, "      292 384 dot\n");
   fprintf (outfp, "      356 288 dot 484 288 dot\n");
   fprintf (outfp, "      292 192 dot\n");
   fprintf (outfp, "      292  96 dot\n");
   fprintf (outfp, "      100   0 dot 228   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /dollar { newpath\n");
   fprintf (outfp, "      292 576 dot\n");
   fprintf (outfp, "      164 480 dot 292 480 dot 420 480 dot\n");
   fprintf (outfp, "      100 384 dot 292 384 dot\n");
   fprintf (outfp, "      164 288 dot 292 288 dot 420 288 dot\n");
   fprintf (outfp, "      292 192 dot 484 192 dot\n");
   fprintf (outfp, "      164  96 dot 292  96 dot 420  96 dot\n");
   fprintf (outfp, "      292   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /cent { newpath\n");
   fprintf (outfp, "      292 480 dot\n");
   fprintf (outfp, "      164 384 dot 292 384 dot 420 384 dot\n");
   fprintf (outfp, "      100 288 dot 292 288 dot\n");
   fprintf (outfp, "      100 192 dot 292 192 dot\n");
   fprintf (outfp, "      164  96 dot 292  96 dot 420  96 dot\n");
   fprintf (outfp, "      292   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /dagger { newpath\n");
   fprintf (outfp, "      292 576 dot\n");
   fprintf (outfp, "      292 480 dot\n");
   fprintf (outfp, "      100 384 dot 228 384 dot 356 384 dot 484 384 dot\n");
   fprintf (outfp, "      292 288 dot\n");
   fprintf (outfp, "      292 192 dot\n");
   fprintf (outfp, "      292  96 dot\n");
   fprintf (outfp, "      292   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /daggerdbl { newpath\n");
   fprintf (outfp, "      292 576 dot\n");
   fprintf (outfp, "      100 480 dot 228 480 dot 356 480 dot 484 480 dot\n");
   fprintf (outfp, "      292 384 dot\n");
   fprintf (outfp, "      292 288 dot\n");
   fprintf (outfp, "      292 192 dot\n");
   fprintf (outfp, "      100  96 dot 228  96 dot 356  96 dot 484  96 dot\n");
   fprintf (outfp, "      292   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "    /logicalnot { newpath\n");
   fprintf (outfp, "      100 192 dot 228 192 dot 356 192 dot 484 192 dot\n");
   fprintf (outfp, "      484  96 dot\n");
   fprintf (outfp, "      484   0 dot\n");
   fprintf (outfp, "    } def\n");
   fprintf (outfp, "  end\n");
   fprintf (outfp, "\n");
   fprintf (outfp, "  /Centers 100 dict def  %% Dot center coordinates\n");
   fprintf (outfp, "  Centers begin\n");
   fprintf (outfp, "    /.notdef [164 0 420 576] def\n");
   fprintf (outfp, "    /space [0 0 0 0] def\n");
   fprintf (outfp, "    /dieresis [100 480 484 576] def\n");
   fprintf (outfp, "    /rightparenthesis [228 0 356 576] def\n");
   fprintf (outfp, "    /lt [228 96 356 480] def\n");
   fprintf (outfp, "    /le [100 0 484 576] def\n");
   fprintf (outfp, "    /eq [100 192 484 384] def\n");
   fprintf (outfp, "    /gt [228 96 356 480] def\n");
   fprintf (outfp, "    /rightbracket [164 0 420 576] def\n");
   fprintf (outfp, "    /or [100 96 484 384] def\n");
   fprintf (outfp, "    /and [100 192 484 480] def\n");
   fprintf (outfp, "    /ne [100 0 484 576] def\n");
   fprintf (outfp, "    /divide [100 96 484 480] def\n");
   fprintf (outfp, "    /concatenate [228 0 356 288] def\n");
   fprintf (outfp, "    /add [100 96 484 480] def\n");
   fprintf (outfp, "    /period [228 0 356 192] def\n");
   fprintf (outfp, "    /reduce [100 0 484 576] def\n");
   fprintf (outfp, "    /zero [100 0 484 576] def\n");
   fprintf (outfp, "    /one [164 0 420 576] def\n");
   fprintf (outfp, "    /two [100 0 484 576] def\n");
   fprintf (outfp, "    /three [100 0 484 576] def\n");
   fprintf (outfp, "    /four [100 0 484 576] def\n");
   fprintf (outfp, "    /five [100 0 484 576] def\n");
   fprintf (outfp, "    /six [100 0 484 576] def\n");
   fprintf (outfp, "    /seven [100 0 484 576] def\n");
   fprintf (outfp, "    /eight [100 0 484 576] def\n");
   fprintf (outfp, "    /nine [100 0 484 576] def\n");
   fprintf (outfp, "    /leftparenthesis [228 0 356 576] def\n");
   fprintf (outfp, "    /leftbracket [164 0 420 576] def\n");
   fprintf (outfp, "    /semicolon [228 0 356 576] def\n");
   fprintf (outfp, "    /multiply [164 96 420 480] def\n");
   fprintf (outfp, "    /colon [228 0 356 576] def\n");
   fprintf (outfp, "    /expand [100 0 484 576] def\n");
   fprintf (outfp, "    /negation [100 576 484 576] def\n");
   fprintf (outfp, "    /alpha [100 0 420 384] def\n");
   fprintf (outfp, "    /decode [100 0 484 288] def\n");
   fprintf (outfp, "    /downunder [164 0 420 384] def\n");
   fprintf (outfp, "    /floor [164 0 420 576] def\n");
   fprintf (outfp, "    /epsilon [164 0 356 384] def\n");
   fprintf (outfp, "    /underscore [100 0 484 0] def\n");
   fprintf (outfp, "    /del [100 96 484 480] def\n");
   fprintf (outfp, "    /delta [100 96 484 480] def\n");
   fprintf (outfp, "    /iota [228 0 356 480] def\n");
   fprintf (outfp, "    /jot [164 192 420 384] def\n");
   fprintf (outfp, "    /quotestring [292 384 292 576] def\n");
   fprintf (outfp, "    /quad [100 0 484 576] def\n");
   fprintf (outfp, "    /residue [292 0 292 576] def\n");
   fprintf (outfp, "    /encode [100 0 484 288] def\n");
   fprintf (outfp, "    /circle [100 96 484 480] def\n");
   fprintf (outfp, "    /exponentiate [164 96 420 480] def\n");
   fprintf (outfp, "    /question [100 0 484 576] def\n");
   fprintf (outfp, "    /rho [100 0 420 480] def\n");
   fprintf (outfp, "    /ceiling [164 0 420 576] def\n");
   fprintf (outfp, "    /not [100 192 484 384] def\n");
   fprintf (outfp, "    /drop [100 0 484 576] def\n");
   fprintf (outfp, "    /upunion [164 0 420 384] def\n");
   fprintf (outfp, "    /omega [100 0 484 384] def\n");
   fprintf (outfp, "    /leftunion [164 96 484 384] def\n");
   fprintf (outfp, "    /take [100 0 484 576] def\n");
   fprintf (outfp, "    /rightunion [100 96 420 384] def\n");
   fprintf (outfp, "    /assignment [100 96 484 480] def\n");
   fprintf (outfp, "    /lefttack [100 96 484 480] def\n");
   fprintf (outfp, "    /goto [100 96 484 480] def\n");
   fprintf (outfp, "    /ge [100 0 484 576] def\n");
   fprintf (outfp, "    /subtract [100 288 484 288] def\n");
   fprintf (outfp, "    /diamond [100 0 484 576] def\n");
   fprintf (outfp, "    /a [100 192 484 576] def\n");
   fprintf (outfp, "    /b [100 192 484 576] def\n");
   fprintf (outfp, "    /c [100 192 484 576] def\n");
   fprintf (outfp, "    /d [100 192 484 576] def\n");
   fprintf (outfp, "    /e [100 192 484 576] def\n");
   fprintf (outfp, "    /f [100 192 484 576] def\n");
   fprintf (outfp, "    /g [100 192 484 576] def\n");
   fprintf (outfp, "    /h [100 192 484 576] def\n");
   fprintf (outfp, "    /i [164 192 420 576] def\n");
   fprintf (outfp, "    /j [100 192 484 576] def\n");
   fprintf (outfp, "    /k [100 192 356 576] def\n");
   fprintf (outfp, "    /l [100 192 484 576] def\n");
   fprintf (outfp, "    /m [100 192 484 576] def\n");
   fprintf (outfp, "    /n [100 192 484 576] def\n");
   fprintf (outfp, "    /o [100 192 484 576] def\n");
   fprintf (outfp, "    /p [100 192 484 576] def\n");
   fprintf (outfp, "    /q [100 192 484 576] def\n");
   fprintf (outfp, "    /r [100 192 484 576] def\n");
   fprintf (outfp, "    /s [100 192 484 576] def\n");
   fprintf (outfp, "    /t [100 192 484 576] def\n");
   fprintf (outfp, "    /u [100 192 484 576] def\n");
   fprintf (outfp, "    /v [100 192 484 576] def\n");
   fprintf (outfp, "    /w [100 192 484 576] def\n");
   fprintf (outfp, "    /x [100 192 484 576] def\n");
   fprintf (outfp, "    /y [100 192 484 576] def\n");
   fprintf (outfp, "    /z [100 192 484 576] def\n");
   fprintf (outfp, "    /leftbrace [100 0 484 576] def\n");
   fprintf (outfp, "    /righttack [100 96 484 480] def\n");
   fprintf (outfp, "    /rightbrace [100 0 484 576] def\n");
   fprintf (outfp, "    /dollar [100 0 484 576] def\n");
   fprintf (outfp, "    /cent [100 0 420 480] def\n");
   fprintf (outfp, "    /dagger [100 0 484 576] def\n");
   fprintf (outfp, "    /daggerdbl [100 0 484 576] def\n");
   fprintf (outfp, "    /logicalnot [100 0 484 192] def\n");
   fprintf (outfp, "  end\n");
   fprintf (outfp, "\n");
   fprintf (outfp, "  %% BuildChar is for PostScript Level 1 compatibility.\n");
   fprintf (outfp, "  %% PostScript Level 2 and above call BuildGlyph directly.\n");
   fprintf (outfp, "  /BuildChar {  %% stack: font charcode\n");
   fprintf (outfp, "    1 index /Encoding get exch get  %% get charname from charcode\n");
   fprintf (outfp, "    1 index /BuildGlyph get exec\n");
   fprintf (outfp, "  } bind def\n");
   fprintf (outfp, " \n");
   fprintf (outfp, "  /BuildGlyph {  %% stack: font charname\n");
   fprintf (outfp, "    /charname exch def\n");
   fprintf (outfp, "    /fontdict exch def\n");
   fprintf (outfp, "    fontdict begin\n");
   fprintf (outfp, "      PaintType 2 eq { StrokeWidth setlinewidth } if\n");
   fprintf (outfp, "      CharWidth 0\n");
   fprintf (outfp, "      Centers charname get aload pop  %% get center coordinate range of all pixels\n");
   fprintf (outfp, "      charname /space ne {\n");
   fprintf (outfp, "        4 -1 roll r sub 4 -1 roll r sub  %% Lower left-hand corner\n");
   fprintf (outfp, "        4 -1 roll r add 4 -1 roll r add  %% Upper right-hand corner\n");
   fprintf (outfp, "      } if\n");
   fprintf (outfp, "      setcachedevice\n");
   fprintf (outfp, "      CharProcs charname\n");
   fprintf (outfp, "        2 copy known not {pop /.notdef} if\n");
   fprintf (outfp, "      get exec\n");
   fprintf (outfp, "    end\n");
   fprintf (outfp, "  } def\n");
   fprintf (outfp, "\n");
   fprintf (outfp, "currentdict end\n");
   fprintf (outfp, "/DOTwriterAPL exch definefont pop\n");
   fprintf (outfp, "%%%%EndFont\n");
   fprintf (outfp, "%%%%BeginFont: DOTwriterAPL-Bold\n");
   fprintf (outfp, "17 dict begin %% Leave one entry for FID assignment\n");
   fprintf (outfp, "  /FontInfo 10 dict dup begin\n");
   fprintf (outfp, "    /Notice (Copyright 2020 Paul Hardy.  License: SIL Open Font License 1.1.) readonly def\n");
   fprintf (outfp, "    /FullName (DOTwriterAPL-Bold) readonly def\n");
   fprintf (outfp, "    /FamilyName (DOTwriterAPL) readonly def\n");
   fprintf (outfp, "    /Weight (Bold) readonly def\n");
   fprintf (outfp, "    /version (1.2) readonly def\n");
   fprintf (outfp, "    /ItalicAngle 0 def\n");
   fprintf (outfp, "    /isFixedPitch true def\n");
   fprintf (outfp, "    /UnderlinePosition 100 def\n");
   fprintf (outfp, "    /UnderlineThickness 120 def\n");
   fprintf (outfp, "  end readonly def\n");
   fprintf (outfp, "\n");
   fprintf (outfp, "  /FontName /DOTwriterAPL-Bold def\n");
   fprintf (outfp, "  /FontMatrix [.001 0 0 .001 0 0] def\n");
   fprintf (outfp, "  /FontType 3 def\n");
   fprintf (outfp, "  /LanguageLevel 1 def\n");
   fprintf (outfp, "  /FontBBox [0 0 600 1000] def\n");
   fprintf (outfp, "  /PaintType 0 def\n");
   fprintf (outfp, "  /StrokeWidth 0 def\n");
   fprintf (outfp, "  /r 60 def  %% Dot radius\n");
   fprintf (outfp, "  /d 120 def  %% Dot diameter\n");
   fprintf (outfp, "  /dot {r 0 360 arc PaintType 2 eq {stroke} {fill} ifelse\n");
   fprintf (outfp, "  } bind def\n");
   fprintf (outfp, "\n");
   fprintf (outfp, "  /CharWidth 600 def\n");
   fprintf (outfp, "\n");
   fprintf (outfp, "  %% Copy the long tables from DOTwriterAPL base font.\n");
   fprintf (outfp, "  /DOTwriterAPL findfont\n");
   fprintf (outfp, "  dup /Encoding  get /Encoding  exch def\n");
   fprintf (outfp, "  dup /CharProcs get /CharProcs exch def\n");
   fprintf (outfp, "      /Centers   get /Centers   exch def\n");
   fprintf (outfp, "\n");
   fprintf (outfp, "  %% BuildChar is for PostScript Level 1 compatibility.\n");
   fprintf (outfp, "  %% PostScript Level 2 and above call BuildGlyph directly.\n");
   fprintf (outfp, "  /BuildChar {  %% stack: font charcode\n");
   fprintf (outfp, "    1 index /Encoding get exch get  %% get charname from charcode\n");
   fprintf (outfp, "    1 index /BuildGlyph get exec\n");
   fprintf (outfp, "  } bind def\n");
   fprintf (outfp, " \n");
   fprintf (outfp, "  /BuildGlyph {  %% stack: font charname\n");
   fprintf (outfp, "    /charname exch def\n");
   fprintf (outfp, "    /fontdict exch def\n");
   fprintf (outfp, "    fontdict begin\n");
   fprintf (outfp, "      PaintType 2 eq { StrokeWidth setlinewidth } if\n");
   fprintf (outfp, "      CharWidth 0\n");
   fprintf (outfp, "      Centers charname get aload pop  %% get center coordinate range of all pixels\n");
   fprintf (outfp, "      charname /.notdef ne charname /space ne and {\n");
   fprintf (outfp, "        4 -1 roll r sub 4 -1 roll r sub\n");
   fprintf (outfp, "        4 -1 roll r add 4 -1 roll r add\n");
   fprintf (outfp, "      } if\n");
   fprintf (outfp, "      setcachedevice\n");
   fprintf (outfp, "      CharProcs charname\n");
   fprintf (outfp, "        2 copy known not {pop /.notdef} if\n");
   fprintf (outfp, "      get exec\n");
   fprintf (outfp, "    end\n");
   fprintf (outfp, "  } def\n");
   fprintf (outfp, "currentdict end\n");
   fprintf (outfp, "/DOTwriterAPL-Bold exch definefont pop\n");
   fprintf (outfp, "%%%%EndFont\n");
   fprintf (outfp, "%%%%BeginFont: DOTwriterAPL-Oblique\n");
   fprintf (outfp, "17 dict begin %% Leave one entry for FID assignment\n");
   fprintf (outfp, "  /FontInfo 10 dict dup begin\n");
   fprintf (outfp, "    /Notice (Copyright 2020 Paul Hardy.  License: SIL Open Font License 1.1.) readonly def\n");
   fprintf (outfp, "    /FullName (DOTwriterAPL-Oblique) readonly def\n");
   fprintf (outfp, "    /FamilyName (DOTwriterAPL) readonly def\n");
   fprintf (outfp, "    /Weight (Medium) readonly def\n");
   fprintf (outfp, "    /version (1.2) readonly def\n");
   fprintf (outfp, "    /ItalicAngle -12.000000 def\n");
   fprintf (outfp, "    /isFixedPitch true def\n");
   fprintf (outfp, "    /UnderlinePosition 100 def\n");
   fprintf (outfp, "    /UnderlineThickness 120 def\n");
   fprintf (outfp, "  end readonly def\n");
   fprintf (outfp, "\n");
   fprintf (outfp, "  /FontName /DOTwriterAPL-Oblique def\n");
   fprintf (outfp, "  /FontMatrix [.001 0 0.000208 .001 0 0] def\n");
   fprintf (outfp, "  %% Copy the long tables from DOTwriterAPL base font.\n");
   fprintf (outfp, "  /DOTwriterAPL findfont\n");
   fprintf (outfp, "  dup /FontType      get /FontType      exch def\n");
   fprintf (outfp, "  dup /LanguageLevel get /LanguageLevel exch def\n");
   fprintf (outfp, "  dup /FontBBox      get /FontBBox      exch def\n");
   fprintf (outfp, "  dup /PaintType     get /PaintType     exch def\n");
   fprintf (outfp, "  dup /StrokeWidth   get /StrokeWidth   exch def\n");
   fprintf (outfp, "  dup /r             get /r             exch def\n");
   fprintf (outfp, "  dup /d             get /d             exch def\n");
   fprintf (outfp, "  dup /dot           get /dot           exch def\n");
   fprintf (outfp, "  dup /CharWidth     get /CharWidth     exch def\n");
   fprintf (outfp, "  dup /Encoding      get /Encoding      exch def\n");
   fprintf (outfp, "  dup /CharProcs     get /CharProcs     exch def\n");
   fprintf (outfp, "  dup /Centers       get /Centers       exch def\n");
   fprintf (outfp, "  dup /BuildChar     get /BuildChar     exch def\n");
   fprintf (outfp, "      /BuildGlyph    get /BuildGlyph    exch def\n");
   fprintf (outfp, "currentdict end\n");
   fprintf (outfp, "/DOTwriterAPL-Oblique exch definefont pop\n");
   fprintf (outfp, "%%%%EndFont\n");
   fprintf (outfp, "%%%%BeginFont: DOTwriterAPL-BoldOblique\n");
   fprintf (outfp, "17 dict begin %% Leave one entry for FID assignment\n");
   fprintf (outfp, "  /FontInfo 10 dict dup begin\n");
   fprintf (outfp, "    /Notice (Copyright 2020 Paul Hardy.  License: SIL Open Font License 1.1.) readonly def\n");
   fprintf (outfp, "    /FullName (DOTwriterAPL-BoldOblique) readonly def\n");
   fprintf (outfp, "    /FamilyName (DOTwriterAPL) readonly def\n");
   fprintf (outfp, "    /Weight (Bold) readonly def\n");
   fprintf (outfp, "    /version (1.2) readonly def\n");
   fprintf (outfp, "    /ItalicAngle -12.000000 def\n");
   fprintf (outfp, "    /isFixedPitch true def\n");
   fprintf (outfp, "    /UnderlinePosition 100 def\n");
   fprintf (outfp, "    /UnderlineThickness 120 def\n");
   fprintf (outfp, "  end readonly def\n");
   fprintf (outfp, "\n");
   fprintf (outfp, "  /FontName /DOTwriterAPL-BoldOblique def\n");
   fprintf (outfp, "  /FontMatrix [.001 0 0.000208 .001 0 0] def\n");
   fprintf (outfp, "  %% Copy the long tables from DOTwriterAPL-Bold font.\n");
   fprintf (outfp, "  /DOTwriterAPL-Bold findfont\n");
   fprintf (outfp, "  dup /FontType      get /FontType      exch def\n");
   fprintf (outfp, "  dup /LanguageLevel get /LanguageLevel exch def\n");
   fprintf (outfp, "  dup /FontBBox      get /FontBBox      exch def\n");
   fprintf (outfp, "  dup /PaintType     get /PaintType     exch def\n");
   fprintf (outfp, "  dup /StrokeWidth   get /StrokeWidth   exch def\n");
   fprintf (outfp, "  dup /r             get /r             exch def\n");
   fprintf (outfp, "  dup /d             get /d             exch def\n");
   fprintf (outfp, "  dup /dot           get /dot           exch def\n");
   fprintf (outfp, "  dup /CharWidth     get /CharWidth     exch def\n");
   fprintf (outfp, "  dup /Encoding      get /Encoding      exch def\n");
   fprintf (outfp, "  dup /CharProcs     get /CharProcs     exch def\n");
   fprintf (outfp, "  dup /Centers       get /Centers       exch def\n");
   fprintf (outfp, "  dup /BuildChar     get /BuildChar     exch def\n");
   fprintf (outfp, "      /BuildGlyph    get /BuildGlyph    exch def\n");
   fprintf (outfp, "currentdict end\n");
   fprintf (outfp, "/DOTwriterAPL-BoldOblique exch definefont pop\n");
   fprintf (outfp, "%%%%EndFont\n");

   return;
}

